Inhalte

# Operator Or

Führt eine logische ODER-Verknüpfung zwischen zwei Ausdrücken durch.

## Syntax:

    Ergebnis = Ausdruck1 Or Ausdruck2

## Parameter:

Ergebnis: Eine beliebige numerische Variable, die das Ergebnis der Verknüpfung aufnimmt.

Ausdruck1, Ausdruck2: Beliebige zu vergleichende numerische Ausdrücke.

Bei einer ODER-Verknüpfung von booleschen Ausdrücken wird dann der Wert True zurückgegeben, wenn mindestens einer der beiden miteinander verknüpften Ausdrücke True ist.

Bei einer bitweisen ODER-Verknüpfung werden nur die Bits gesetzt, die in mindestens einem der beiden angegebenen Ausdrücken gesetzt sind.

## Beispiel:

    Sub ExampleOr
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = vA > vB Or vB > vC ' -1
        vOut = vB > vA Or vB > vC ' -1
        vOut = vA > vB Or vB > vD ' -1
        vOut = (vB > vD Or vB > vA) ' 0
        vOut = vB Or vA ' 10
    End Sub